Betfair is removing support for SSLv3? Am I affected?

Why will old browser versions no longer be able to access Betfair’s website?
Betfair is removing support for SSLv3 starting from November 2015.  SSLv3 is an encryption mechanism released in 1996 that is used to help secure information as it passes over the Internet.  It is now recommended that newer encryption mechanisms are used as they better protect your information, hence we are removing support for SSLv3.  Once this happens, old browsers that only support SSLv3 will no longer be able to access Betfair’s website.


Which browsers are impacted?

Mainly old versions of Internet Explorer – version 6 or earlier.  Chrome, Firefox and Safari are not affected.


If I am using Internet Explorer, how can I check what version I am running?

1. Launch your Internet Explorer.
2. Click the “Help” menu.
3. Click “About Internet Explorer”.  A new window will appear with version information.

What should I do?
If you are running Internet Explorer 6 or earlier, please upgrade to a more recent version in order to continue to be able to access Betfair’s website from November 2015. Recommended browsers can be found here.